<form name="createForm" [formGroup]="createForm">
    <div class="modal-header">
		<h4>
			<span>CREATE USER</span>
		</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
            (click)="clear()">&times;</button>
    </div>
   <!-- <hr/>-->
   <!-- <jhi-alert-error></jhi-alert-error>-->
    <div class="modal-body table-responsive-sm  padding-card-main">
		<div class="card padding-card">
		 <div class="col-md-11">
			<table class="table"  aria-describedby="page-heading">
				<tbody>
					<tr class="textH">
						<td class="text-left">Nama Depan</td>
						<td class="text-left">:</td>
						<td class="text-left">
							<input type="text" class="form-control" name="firstname" id="firstname" formControlName="firstname">
							<div *ngIf="createForm.get('firstname')!.invalid && (createForm.get('firstname')!.dirty || createForm.get('firstname')!.touched)">
		                        <small class="form-text text-danger" *ngIf="createForm.get('firstname')?.errors?.required">
		                            Nama depan mandatory.
		                        </small>
		                    </div>
						</td>
					</tr>
					<tr class="textH">
						<td class="text-left">Nama Belakang</td>
						<td class="text-left">:</td>
						<td class="text-left">
							<input type="text" class="form-control" name="lastname" id="lastname" formControlName="lastname">
							<div *ngIf="createForm.get('lastname')!.invalid && (createForm.get('lastname')!.dirty || createForm.get('lastname')!.touched)">
		                        <small class="form-text text-danger" *ngIf="createForm.get('lastname')?.errors?.required || createForm.get('lastname')!.touched">
		                            Nama belakang mandatory.
		                        </small>
		                     </div>
						</td>
					</tr>
					<tr class="textH">
						<td class="text-left">Username</td>
						<td class="text-left">:</td>
						<td class="text-left">
							<input type="text" class="form-control" name="login" id="login" formControlName="login">
							<div *ngIf="createForm.get('login')!.invalid && (createForm.get('login')!.dirty || createForm.get('login')!.touched)">
		                        <small class="form-text text-danger" *ngIf="createForm.get('login')?.errors?.required">
		                            Nama pengguna mandatory.
		                        </small>
		                        <small class="form-text text-danger" *ngIf="createForm.get('login')?.errors?.minlength">
		                            Nama pengguna harus terdiri dari minimal 1 karakter
		                        </small>
		                        <small class="form-text text-danger" *ngIf="createForm.get('login')?.errors?.maxlength">
		                            Nama pengguna tidak boleh lebih dari 50 karakter.
		                        </small>
		                        <small class="form-text text-danger" *ngIf="createForm.get('login')?.errors?.pattern">
		                            Nama pengguna hanya boleh berisi huruf dan angka.
		                        </small>
		                    </div>
						</td>
					</tr>
					<!--<tr class="textH">
						<td class="text-left">Password</td>
						<td class="text-left">:</td>
						<td class="text-left">
							<input type="password" class="form-control" name="pass" id="pass" formControlName="pass">
							
							<div *ngIf="createForm.get('pass')!.invalid && (createForm.get('pass')!.dirty || createForm.get('pass')!.touched)">
	                        <small class="form-text text-danger"
	                           *ngIf="createForm.get('pass')?.errors!.pattern">
	                            Kata sandi harus berisi minimal satu angka, satu huruf besar dan satu huruf kecil, serta minimal 8 karakter dan tidak boleh mengandung spasi
	                        </small>
	                        <small class="form-text text-danger"
		                           *ngIf="createForm.get('pass')?.errors?.required">
		                            Password mandatory.
		                        </small>
		                        <small class="form-text text-danger"
		                           *ngIf="createForm.get('pass')?.errors?.maxlength">
		                            Kata sandi tidak boleh lebih dari 50 karakter.
		                        </small>
	                        </div>
	                        <div>
							  <input class="form-check-control" type="checkbox" value="" id="rememberMe">
							  <label class="form-check-label" for="rememberMe">
							    &nbsp;&nbsp;Remember me
							  </label>
							</div>
						</td>
					</tr>-->
					<tr class="textH">
						<td class="text-left">Email</td>
						<td class="text-left">:</td>
						<td class="text-left">
							<input type="text" class="form-control" name="email" id="email" formControlName="email">
							 <div *ngIf="createForm.get('email')!.invalid && (createForm.get('email')!.dirty || createForm.get('email')!.touched)">
		                        <small class="form-text text-danger" *ngIf="createForm.get('email')?.errors?.required">
		                            Email mandatory.
		                        </small>
		                        <small class="form-text text-danger" *ngIf="createForm.get('email')?.errors?.invalid">
		                            Email Anda tidak valid
		                        </small>
		                        <small class="form-text text-danger" *ngIf="createForm.get('email')?.errors?.minlength">
		                            Email Anda harus terdiri dari minimal 5 karakter.
		                        </small>
		                        <small class="form-text text-danger" *ngIf="createForm.get('email')?.errors?.maxlength">
		                            Email Anda tidak boleh lebih dari 100 karakter.
		                        </small>
		                    </div>
						</td>
					</tr>
					<tr class="textH">
						<td class="text-left">ROLE</td>
						<td class="text-left">:</td>
						<td class="text-left">
		                    <select class="form-control" name="authority" formControlName="authorities" (change)="onChange($event.target.value)">
		                        <option *ngFor="let authority of authorities" [value]="authority">{{authority}}</option>
		                    </select>
	                    </td>
					</tr>
					<tr class="textH" *ngIf="roleCabang">
						<td class="text-left">CABANG</td>
						<td class="text-left">:</td>
						<td class="text-left">
	                    <select class="form-control" name="cabangs" formControlName="cabangs">
		                        <option *ngFor="let cabang of cabangs" [value]="cabang.id">{{cabang.nama}}</option>
		                    </select>
						</td>
					</tr>
					<tr class="textH" *ngIf="roleNotaris">
						<td class="text-left">NOTARIS</td>
						<td class="text-left">:</td>
						<td class="text-left">
	                    <select class="form-control" name="notaris" formControlName="notaris">
		                        <option *ngFor="let notaris of notarises" [value]="notaris.id">{{notaris.nama}}</option>
		                    </select>
						</td>
					</tr>
				</tbody>
			</table>
			</div>
		</div>
   </div>
    <div class="modal-footer">
		<div class="row">
			<div class="col-md-10 textmiring2">
			 <span><i>* Username dan alamat email bersifat unik, jadi tidak bisa menggunakan username dan alamat email yang sama dalam beberapa akun</i></span>
	   		</div>
			<div class="col-md-2">
			  <button type="button" (click)="simpan()" [disabled]="createForm.invalid  || isSaving" class="btn btn-primary">Register</button>
	    	</div> 
		</div>
    </div>
</form>
